Passer directement au contenu principal

Ce navigateur n’est plus pris en charge.

Effectuez une mise à niveau vers Microsoft Edge pour tirer parti des dernières fonctionnalités, des mises à jour de sécurité et du support technique.

Télécharger Microsoft Edge Plus d’informations sur Internet Explorer et Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Insight Monitors

create

POST /agent_insight_monitors

Create an Agent Insights monitor for an agent.

Paramètres d’en-tête

Foundry-Features enum obligatoire

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

AgentInsights=V1Preview

Paramètres de la requête

api-version string obligatoire

The API version to use for this operation.

Corps de la demande

The monitor to create.

Content-Type: application/json
agent_name string obligatoire

The agent this monitor should analyze.

enabled boolean

Whether scheduled insight generation should be armed. Defaults to false.

run_interval_hours number

Interval between scheduled insight runs, in hours. Defaults to 6.

model_deployment_name string obligatoire

The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.

Réponses

The request has succeeded and a new resource has been created as a result.

En-têtes

Location string obligatoire

URL of the created monitor.

Corps

Content-Type: application/json
id string obligatoire

The monitor identifier.

agent_name string obligatoire

The agent this monitor analyzes. There can be only one monitor per agent.

enabled boolean obligatoire

Whether scheduled insight generation is armed for the monitor.

run_interval_hours number obligatoire

Interval between scheduled insight runs, in hours.

model_deployment_name string obligatoire

The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'.

next_scheduled_run_at integer
estimated_cost AgentInsightEstimatedCost

Estimated Agent Insights cost.

amount number obligatoire

Estimated cost amount.

currency enum obligatoire

Currency for the estimated cost amount. Agent Insights estimates are reported in US dollars.

USD
suspension AgentInsightSuspension | null obligatoire

Why the system suspended scheduled generation. Null when the monitor is not suspended.

code string obligatoire

Stable, machine-readable suspension category.

message string obligatoire

Human-readable description of the suspension.

occurred_at integer obligatoire
details object

Additional reason-specific suspension details.

overview AgentInsightsOverview | null obligatoire

The effective overview, or null before an overview is available.

content string obligatoire

The overview content.

source string | enum obligatoire

Identifies where an Agent Insights overview came from.

Un des éléments suivants :
string
enum
generateduser_override
updated_at integer obligatoire
updated_at integer obligatoire

Client error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Requête

POST /agent_insight_monitors HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
fr-fr
Vos choix en matière de confidentialité
  • Clause d’exclusion de responsabilité sur l’IA
  • Versions antérieures
  • Blog
  • Collaboration
  • Confidentialité
  • Confidentialité de la santé des consommateurs
  • Conditions d’utilisation
  • Accessibilité
  • Marques
  • © Microsoft 2026